www.cendio.com
Bug 5481 - TigerVNC grabs mouse on Xwindow platforms.
: TigerVNC grabs mouse on Xwindow platforms.
Status: CLOSED FIXED
: ThinLinc
VNC
: 4.3.0
: PC Unknown
: P2 Normal
: 4.10.0
Assigned To:
:
:
: 7158
:
  Show dependency treegraph
 
Reported: 2015-03-27 12:15 by
Modified: 2018-09-18 16:27 (History)
Acceptance Criteria:
* When running linux ThinLinc client on one screen in fullscreen, you should not need to exit fullscreen to work with the local desktop on the other screen.


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-03-27 12:15:18
Upstream commit 53fd544c grabs mouse on X platforms which is a derivation from
whats done on Window platform. The problem it introduces is that if one is
running multihead setup with ThinLinc client fullscreen on only one monitor and
the local desktop on the other. One can't "ungrab" the capture of mouse /
keyboard when clicking on the local desktop and is forced to switch out from
fullscreen mode using F8 menu. This works as expected when using the Windows
client.

One possible solution might be hooks for mouse leave which "ungrabs" the mouse.
Ungrabbing the keyboard might introduce some strange behaviors.
------- Comment #1 From cendio 2016-10-07 08:54:38 -------
Moving from NearFuture to --- for discussion.
------- Comment #2 From cendio 2018-08-27 14:02:27 -------
Fixed upstream in:

https://github.com/TigerVNC/tigervnc/commit/7e546febadb6e6cc66138c2316c8c19ca8aab2b1
------- Comment #4 From cendio 2018-09-18 16:27:00 -------
> * When running linux ThinLinc client on one screen in 
>   fullscreen, you should not need to exit fullscreen
>   to work with the local desktop on the other screen.
>

Works as expected just like Windows client.